#include <locale.h>
#include <libintl.h>

#include <gtk/gtk.h>
#include <glib/gstdio.h>

void 
on_window_destroy (GtkObject *object, gpointer user_data)
{
	gtk_main_quit ();
}

int
main (int argc, char *argv[])
{
	GtkBuilder      *builder;
	GtkWidget	*window;

	setlocale(LC_ALL, "");
	bindtextdomain("i18ntest", ".");
	bind_textdomain_codeset("i18ntest", "UTF-8");
	textdomain("i18ntest");
	gtk_init(&argc, &argv);
 
	builder = gtk_builder_new();
	gtk_builder_add_from_file(builder, "i18ntest.xml", NULL);
	window = GTK_WIDGET(gtk_builder_get_object(
				    builder, "mainwindow"));
	gtk_builder_connect_signals(builder, NULL);
	gtk_widget_show(window);                
	gtk_main();
	
	return 0;
}
